com.opensymphony.xwork2.config

## Interface PackageProvider

- All Known Subinterfaces:
    BeanSelectionProvider, ConfigurationProvider, ServletContextAwareConfigurationProvider
  All Known Implementing Classes:
    AbstractBeanSelectionProvider, DefaultPropertiesProvider, PropertiesConfigurationProvider, StrutsBeanSelectionProvider, StrutsDefaultConfigurationProvider, StrutsJavaConfigurationProvider, StrutsXmlConfigurationProvider, StubConfigurationProvider, XmlConfigurationProvider, XmlDocConfigurationProvider

      public interface PackageProvider

  Provides configuration packages. The separate init and loadPackages calls are due to the need to preserve backwards compatibility with the 2.0 `ConfigurationProvider` interface
  Since:
    2.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(Configuration configuration)` Initializes with the configuration
    `void` | `loadPackages()` Loads the packages for the configuration.
    `boolean` | `needsReload()` Tells whether the PackageProvider should reload its configuration

- - ### Method Detail

    - #### init

          void init(Configuration configuration)
             throws ConfigurationException

      Initializes with the configuration
      Parameters:
        `configuration` - The configuration
      Throws:
        `ConfigurationException` - If anything goes wrong

    - #### needsReload

          boolean needsReload()

      Tells whether the PackageProvider should reload its configuration
      Returns:
        `true`, whether the PackageProvider should reload its configuration, `false`otherwise.

    - #### loadPackages

          void loadPackages()
                     throws ConfigurationException

      Loads the packages for the configuration.
      Throws:
        `ConfigurationException` - in case of configuration errors

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.